      SUBROUTINE DFLUX(FLUX,SOL,KSTEP,KINC,TIME,NOEL,NPT,COORDS,
     1                 JLTYP,TEMP,PRESS,SNAME)
C
      INCLUDE 'ABA_PARAM.INC'
C
      DIMENSION FLUX(2), TIME(2), COORDS(3)
	CHARACTER*80 SNAME
C
C
      T=TIME(1)
      X=COORDS(1)
      Y=COORDS(2)
	Z=COORDS(3)

      FLUX(1)  = 0.0d0

C BEAD 1
      IF(KSTEP.EQ.1) THEN
         XC = 17.83D0
	   ZC = (2.17*T)-0.5
         A = 20.0d0
         C = 15.0d0
      ENDIF
C BEAD 2
      IF(KSTEP.EQ.3) THEN
  	   XC = 2.0015D0
	   ZC = (2.17*T)-0.5
         A = 20.0d0
         C = 15.0d0
      ENDIF

C BEAD 1
      IF(KSTEP.EQ.1) THEN
         Q0 = 3.d0*(45.0d0*175.d0*0.85d0)/(3.141596d0*A*C)
         FLUX(1) = Q0*DEXP(-3.d0*((ZC-Z)**2/(A**2)+
     1             (XC-X)**2/(C**2)))
      ENDIF

C BEAD 2
      IF(KSTEP.EQ.3) THEN
         Q0 = 3.d0*(35.0d0*175.d0*0.85d0)/(3.141596d0*A*C)
         FLUX(1) = Q0*DEXP(-3.d0*((ZC-Z)**2/
     1             (A**2)+(XC-X)**2/(C**2)))
      ENDIF
**

      RETURN
      END
**
**
**
      subroutine gapcon(ak,d,flowm,temp,predef,time,ciname,
     1  slname,msname,coords,noel,node,npred,kstep,kinc)
c
      include 'aba_param.inc'
c
      character*80 ciname,slname,msname
      dimension flowm(2),temp(2),predef(2,*),
     1          ak(5),d(2),coords(3),time(2)

	z=coords(3)
	T=time(1)
	zc = 2.17*T

C BEAD 1
c      IF(KSTEP.EQ.1) THEN
c	   ZC = 2.17*T
c      ENDIF
c	if (kstep.eq.3) then
c	   zc = 2.17*(T-501)
c	endif

c
c       define gap conductivity as fcn of delta along weld axis
c    
	  zdist = z - zc
        if(zdist.le.-1.0)then
          ak(1)=100000
        else
          ak(1)=0.0
        end if
c     
c	if(zdist.le.5.0)then
c	  write(6,*) z, zc, zdist, ak(1)
c	endif

      return
      end



	subroutine film(h,SINK,temp,kstep,kinc,time,noel,npt,
     1 coords,jltype,field,nfield,sname,node,area)
c
      include 'aba_param.inc'
c
      character*80 sname
      dimension h(2),time(2),coords(3),field(nfield)

	z=coords(3)
	t=time(1)
	zc = 2.17*T

c
c       define film coefficent as fcn of delta along weld axis
c    
	  zdist = z - zc
        if(zdist.le.-1.0)then
          h(1)=0.00001
	    sink=25
        else
          h(1)=0.0
		sink=25
        end if
c     
	if(zdist.le.5.0)then
	  write(6,*) z, zc, zdist, h(1)
	endif
c

      return
      end
